%?mingw_package_header

%global qt_module qtsystems
#%%global pre beta1

%global snapshot_date 20160413
%global snapshot_rev 236b6b544fd2049eb46e8f79d13bb7aa35ba002f
%global snapshot_rev_short %(echo %snapshot_rev | cut -c1-6)

%if 0%{?fedora}
%global enable_gconf 1
%else
%global enable_gconf 0
%endif

%if 0%{?snapshot_date}
%global source_folder %{qt_module}-%{snapshot_rev}
%else
%global source_folder %{qt_module}-opensource-src-%{version}%{?pre:-%{pre}}
%endif

Name:           mingw-qt5-%{qt_module}
Version:        5.0.0
Release:        0.19%{?pre:.%{pre}}%{?snapshot_date:.git%{snapshot_date}.%{snapshot_rev_short}}%{?dist}
Summary:        Qt5 for Windows - QtSystems component

License:        GPLv3 with exceptions or LGPLv2 with exceptions
Group:          Development/Libraries
URL:            http://qt.io/

%if 0%{?snapshot_date}
# To regenerate:
# wget https://github.com/qtproject/%{qt_module}/archive/%{snapshot_rev}.zip
Source0:        %{snapshot_rev}.zip
%else
Source0:        http://download.qt-project.org/official_releases/qt/%{release_version}/%{version}/submodules/%{qt_module}-opensource-src-%{version}.tar.xz
%endif

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 96
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-qt5-qtbase >= 5.6.0
BuildRequires:  mingw32-qt5-qtdeclarative >= 5.6.0
%if 0%{?enable_gconf}
BuildRequires:  mingw32-GConf2
%endif

BuildRequires:  mingw64-filesystem >= 96
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-qt5-qtbase >= 5.6.0
BuildRequires:  mingw64-qt5-qtdeclarative >= 5.6.0
%if 0%{?enable_gconf}
BuildRequires:  mingw64-GConf2
%endif


%description
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.


# Win32
%package -n mingw32-qt5-%{qt_module}
Summary:        Qt5 for Windows - QtSystems component

%description -n mingw32-qt5-%{qt_module}
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.


# Win64
%package -n mingw64-qt5-%{qt_module}
Summary:        Qt5 for Windows - QtSystems component

%description -n mingw64-qt5-%{qt_module}
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.


%?mingw_debug_package


%prep
%setup -q -n %{source_folder}

%if 0%{?snapshot_date}
# Make sure the syncqt tool is run because we're using a git snapshot
# Otherwise the build fails against Qt 5.1
mkdir .git
%endif


%build
%mingw_qmake_qt5 ../%{qt_module}.pro
%mingw_make %{?_smp_mflags}


%install
%mingw_make install INSTALL_ROOT=$RPM_BUILD_ROOT

# .prl files aren't interesting for us
find $RPM_BUILD_ROOT -name "*.prl" -delete


# Win32
%files -n mingw32-qt5-%{qt_module}
%{mingw32_bindir}/Qt5PublishSubscribe.dll
%{mingw32_bindir}/Qt5ServiceFramework.dll
%{mingw32_bindir}/Qt5SystemInfo.dll
%{mingw32_bindir}/servicefw.exe
%{mingw32_bindir}/sfwlisten.exe
%{mingw32_includedir}/qt5/QtPublishSubscribe/
%{mingw32_includedir}/qt5/QtServiceFramework/
%{mingw32_includedir}/qt5/QtSystemInfo/
%{mingw32_libdir}/libQt5PublishSubscribe.dll.a
%{mingw32_libdir}/libQt5ServiceFramework.dll.a
%{mingw32_libdir}/libQt5SystemInfo.dll.a
%{mingw32_libdir}/cmake/Qt5PublishSubscribe/
%{mingw32_libdir}/cmake/Qt5ServiceFramework/
%{mingw32_libdir}/cmake/Qt5SystemInfo/
%{mingw32_libdir}/pkgconfig/Qt5PublishSubscribe.pc
%{mingw32_libdir}/pkgconfig/Qt5ServiceFramework.pc
%{mingw32_libdir}/pkgconfig/Qt5SystemInfo.pc
%dir %{mingw32_datadir}/qt5/qml/QtPublishSubscribe/
%{mingw32_datadir}/qt5/qml/QtPublishSubscribe/declarative_publishsubscribe.dll
%{mingw32_datadir}/qt5/qml/QtPublishSubscribe/plugins.qmltypes
%{mingw32_datadir}/qt5/qml/QtPublishSubscribe/qmldir
%dir %{mingw32_datadir}/qt5/qml/QtServiceFramework/
%{mingw32_datadir}/qt5/qml/QtServiceFramework/declarative_serviceframework.dll
%{mingw32_datadir}/qt5/qml/QtServiceFramework/plugins.qmltypes
%{mingw32_datadir}/qt5/qml/QtServiceFramework/qmldir
%dir %{mingw32_datadir}/qt5/qml/QtSystemInfo/
%{mingw32_datadir}/qt5/qml/QtSystemInfo/declarative_systeminfo.dll
%{mingw32_datadir}/qt5/qml/QtSystemInfo/plugins.qmltypes
%{mingw32_datadir}/qt5/qml/QtSystemInfo/qmldir
%{mingw32_datadir}/qt5/mkspecs/modules/qt_lib_publishsubscribe.pri
%{mingw32_datadir}/qt5/mkspecs/modules/qt_lib_publishsubscribe_private.pri
%{mingw32_datadir}/qt5/mkspecs/modules/qt_lib_serviceframework.pri
%{mingw32_datadir}/qt5/mkspecs/modules/qt_lib_serviceframework_private.pri
%{mingw32_datadir}/qt5/mkspecs/modules/qt_lib_systeminfo.pri
%{mingw32_datadir}/qt5/mkspecs/modules/qt_lib_systeminfo_private.pri

# Win64
%files -n mingw64-qt5-%{qt_module}
%{mingw64_bindir}/Qt5PublishSubscribe.dll
%{mingw64_bindir}/Qt5ServiceFramework.dll
%{mingw64_bindir}/Qt5SystemInfo.dll
%{mingw64_bindir}/servicefw.exe
%{mingw64_bindir}/sfwlisten.exe
%{mingw64_includedir}/qt5/QtPublishSubscribe/
%{mingw64_includedir}/qt5/QtServiceFramework/
%{mingw64_includedir}/qt5/QtSystemInfo/
%{mingw64_libdir}/libQt5PublishSubscribe.dll.a
%{mingw64_libdir}/libQt5ServiceFramework.dll.a
%{mingw64_libdir}/libQt5SystemInfo.dll.a
%{mingw64_libdir}/cmake/Qt5PublishSubscribe/
%{mingw64_libdir}/cmake/Qt5ServiceFramework/
%{mingw64_libdir}/cmake/Qt5SystemInfo/
%{mingw64_libdir}/pkgconfig/Qt5PublishSubscribe.pc
%{mingw64_libdir}/pkgconfig/Qt5ServiceFramework.pc
%{mingw64_libdir}/pkgconfig/Qt5SystemInfo.pc
%dir %{mingw64_datadir}/qt5/qml/QtPublishSubscribe/
%{mingw64_datadir}/qt5/qml/QtPublishSubscribe/declarative_publishsubscribe.dll
%{mingw64_datadir}/qt5/qml/QtPublishSubscribe/plugins.qmltypes
%{mingw64_datadir}/qt5/qml/QtPublishSubscribe/qmldir
%dir %{mingw64_datadir}/qt5/qml/QtServiceFramework/
%{mingw64_datadir}/qt5/qml/QtServiceFramework/declarative_serviceframework.dll
%{mingw64_datadir}/qt5/qml/QtServiceFramework/plugins.qmltypes
%{mingw64_datadir}/qt5/qml/QtServiceFramework/qmldir
%dir %{mingw64_datadir}/qt5/qml/QtSystemInfo/
%{mingw64_datadir}/qt5/qml/QtSystemInfo/declarative_systeminfo.dll
%{mingw64_datadir}/qt5/qml/QtSystemInfo/plugins.qmltypes
%{mingw64_datadir}/qt5/qml/QtSystemInfo/qmldir
%{mingw64_datadir}/qt5/mkspecs/modules/qt_lib_publishsubscribe.pri
%{mingw64_datadir}/qt5/mkspecs/modules/qt_lib_publishsubscribe_private.pri
%{mingw64_datadir}/qt5/mkspecs/modules/qt_lib_serviceframework.pri
%{mingw64_datadir}/qt5/mkspecs/modules/qt_lib_serviceframework_private.pri
%{mingw64_datadir}/qt5/mkspecs/modules/qt_lib_systeminfo.pri
%{mingw64_datadir}/qt5/mkspecs/modules/qt_lib_systeminfo_private.pri


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-0.19.git20160413.236b6b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Apr 13 2016 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.18.git20160413.236b6b
- Update to 20160413 snapshot (rev 236b6b)
- Use correct URL and Source tags
- Removed obsolete workarounds from the %%install section

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-0.17.git20140323.44f70d9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.0-0.16.git20140323.44f70d9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jan 28 2015 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.15.git20150128.44f70d9
- Update to 20150128 snapshot (rev 44f70d9)
- Fixes FTBFS against Qt 5.4

* Wed Jun 11 2014 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.14.git20140323.3f65ffa
- Make GConf support optional

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.0-0.13.git20140323.3f65ffa
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 30 2014 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.12.git20140323.3f65ffa
- Fix FTBFS against gcc 4.9

* Tue May 27 2014 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.11.git20140323.3f65ffa
- Update to 20140323 snapshot (rev 3f65ffa)
  This is the last Qt 5.3 based revision

* Wed Jan  8 2014 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.10.git20130911.5084080
- Dropped manual rename of import libraries

* Sun Jan  5 2014 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.9.git20130911.5084080
- Update to 20130911 snapshot (rev 5084080)
  This is the last Qt 5.2 based revision

* Tue Dec  3 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.8.git20130510.fb72a057
- Fix FTBFS against Qt 5.2

* Wed Jul 31 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.7.git20130510.fb72a057
- Added BR: mingw{32,64}-GConf2
- Don't bundle .dll.debug files in the main packages

* Tue Jul 23 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.6.git20130510.fb72a057
- Fix FTBFS which started to appear with Qt 5.1

* Thu Jul 18 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.5.git20130510.fb72a057
- Make sure the syncqt tool is run because we're using a git snapshot

* Fri May 10 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.4.git20130510.fb72a057
- Update to 20130510 snapshot (rev fb72a057)

* Fri Jan 11 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.3.git20121112.511d739c
- Fix filelist

* Mon Nov 12 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.2.beta1.git20121112.511d739c
- Update to 20121112 snapshot (rev 511d739c)
- Rebuild against latest mingw-qt5-qtbase
- Dropped pkg-config rename hack as it's unneeded now

* Thu Sep 13 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.1.beta1
- Initial release

